#Create Virtual Account
#Request path
/api/v2/virtual/account/label/create#Parameter list
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| virtualAccountName | String | 200 | yes | The name of the virtual account |
| identityType | String | 32 | yes | User's document type: ● Personal type and use BVN check as "personal" ● Personal type and use NIN check is "personal_nin" ● The enterprise type and use CAC verification is "company" |
| licenseNumber | String | 64 | yes | LicenseNumber ● If the document type is personal, the user’s BVN number will be passed ● If the certificate type is personal_nin, the user's NIN number is passed ● If the certificate type is company, pass the company’s CAC number. Note that it must start with RC or BN |
| String | 128 | no | User's E-mail address | |
| customerName | String | 200 | yes | User's name ● Personal type :User's Name ● Company type:The company's name on CAC |
| accountReference | String | 120 | no | This is a reference field for the virtual account. It can be customized and will only be cleared when deleted. |
#Return value
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| virtualAccountName | String | 200 | yes | The name of the virtual account |
| virtualAccountNo | String | 64 | yes | Virtual Account number |
| status | String | 32 | yes | Virtual Account status: Enabled 、Disabled 、Deleted The default state of successful creation is Enabled. |
| identityType | String | 32 | no | User's identity type: Personal type is "personal" Company type is "company" |
| licenseNumber | String | 64 | no | LicenseNumber Personal type :User's BVN number Company type:The company's CAC number |
| String | 128 | no | User's E-mail address | |
| customerName | String | 200 | no | User's name ● Personal type :User's Name ● Company type:The company's name on CAC |
| accountReference | String | 120 | no | This is a reference field for the virtual account. It can be customized and will only be cleared when deleted. |
#Error code
#Postman example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/virtual/account/label/create' \
--header 'Authorization: Bearer L231127063379321376521' \
--header 'countryCode: NG' \
--header 'Signature: Xgp7oFDxe5Jvy859hDxvlFo2+Hc4VtZrMge+b09XLnwngPc7l2RinScXK4aADDMcreZtN5thCsj/qfM6rXzHBPF5lrUvAPN8TB+rc2wTacqNVLDElEusYjAEDVHCv9CeMsmTgsERMQgHpRwUkOLqUEcE7JAsX/MnHdFsv+nQdtqvc5wn0O7nCq/o2MhUiNhvNIw7UFfjy9p5Pz+JM8yV92Tno1QoWv0w01pWZHR15LoSauRCzdEN2K+ctbHrKF+He+xxHL0kdunI1yqj7hnfZ5qblEckR8DhqowAFNSu/Yp7TaAFbBBM4yGJTTEB4Hg7uocsWtd3zwYa2nU0lLetJA==' \
--header 'content-type: application/json;charset=UTF-8' \
--data '{
"requestTime":1703152048883,
"identityType":"company",
"licenseNumber":"dasd141234114123",
"virtualAccountName":"PPTV2",
"version":"V2.0",
"customerName":"palmpayTester",
"email":"2222@palmpay.com",
"nonceStr":"8GagBq4oGahVZAD8PQgLFJdhGQxoS1gy"
}'#response
{
"data": {
"identityType": "company",
"licenseNumber": "dasd141234114123",
"virtualAccountName": "PPTV2(Account Suffix of Institution)",
"virtualAccountNo": "6664564951",
"email": "2222@palmpay.com",
"customerName": "palmpayTester",
"status": "Enabled",
"accountReference": "accountReference example"
},
"respMsg": "success",
"respCode": "00000000",
"status": true
}